Get invoice using specific key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

invoice_view
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
company_email

Company email of the invoice

string
company_phone

Company phone of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
invoice_details

Details of invoice

Collection of invoice_details_view

Response Formats

application/json, text/json

Sample:
{
  "id": "245b1f60-415c-41e7-a8f6-dc8dc03d0bfd",
  "internal_number": "sample string 2",
  "company_id": "f1825b03-d52d-4b28-a7b2-f4fd46fe5427",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "company_email": "sample string 6",
  "company_phone": "sample string 7",
  "date_create": "2026-10-05T10:37:20.3219607+00:00",
  "memo": "sample string 9",
  "description": "sample string 10",
  "invoice_type": "sample string 11",
  "source_type": "sample string 12",
  "source_id_in_table": "ee7131be-e8b7-4de6-8524-4d7c541a7feb",
  "total_lines": 14,
  "total_amount": 15.0,
  "modified_dateutc": "2026-10-05T10:37:20.3219607+00:00",
  "invoice_details": [
    {
      "id": "781deafc-5f3d-4d11-9824-5a68cc9dde30",
      "invoice_id": "7b563bcf-2bd7-475a-9276-6df72688ec15",
      "article_id": "5d58dab2-26ae-42cb-ba02-605e0fe3290c",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "modified_dateutc": "2026-10-05T10:37:20.3375875+00:00"
    },
    {
      "id": "781deafc-5f3d-4d11-9824-5a68cc9dde30",
      "invoice_id": "7b563bcf-2bd7-475a-9276-6df72688ec15",
      "article_id": "5d58dab2-26ae-42cb-ba02-605e0fe3290c",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "modified_dateutc": "2026-10-05T10:37:20.3375875+00:00"
    }
  ]
}